package com.zsc.edu.gateway.modules.notice.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zsc.edu.gateway.modules.system.entity.User;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 用户消息
 *
 * @author harry_yao
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_user_message")
public class UserMessage implements Serializable {

    @TableId
    private Long id;

    /**
     * 用户ID
     */
    public Long userId;

    /**
     * 用户
     */
    @TableField(exist = false)
    public User user;

    /**
     * 消息ID
     */
    public Long messageId;

    /**
     * 消息
     */
    @TableField(exist = false)
    public Message message;

    /**
     * 是否已读
     */
    public Boolean isRead;

    /**
     * 阅读时间
     */
    public LocalDateTime readTime;

    public UserMessage(Object o, User user, Message message, boolean b, Object o1) {
    }
}
